const _Http = getApp().globalData.http;
Page({
    data: {
        ownertable: null,
        ownerid: null,
        sys_datafollowupid: null,
        detail: {},
        tabbarList: [{
            icon: "icon-bianji",
            label: "编辑"
        }, {
            icon: "icon-shanchu",
            label: "作废"
        }]
    },
    onLoad(options) {
        if (options.data) {
            this.setData({
                ...JSON.parse(options.data)
            })
            this.getDetail();
        }
    },
    getDetail() {
        _Http.basic({
            "id": 20221026085601,
            "content": {
                "sys_datafollowupid": this.data.sys_datafollowupid
            }
        }).then(res => {
            if (res.msg != '成功') return wx.showToast({
                title: res.data,
                icon: "none"
            })
            this.setData({
                detail: res.data
            })
        })
    },
    /* tab 切换回调 */
    tabbarOnClick({
        detail
    }) {
        const pages = getCurrentPages(),
            item = this.data.detail;
        switch (detail.label) {
            case "编辑":
                wx.navigateTo({
                    url: `/packageA/setclient/modules/trace/add/index?ownertable=${this.data.ownertable}&ownerid=${this.data.ownerid}&content=${item.content}&type=${item.type}&sys_datafollowupid=${item.sys_datafollowupid}`
                });
                break;
            case "作废":
                wx.navigateTo({
                    url: `/packageA/setclient/modules/trace/list/delete?item=${JSON.stringify({
                        "sys_datafollowupid": item.sys_datafollowupid,
                        "ownertable": this.data.ownertable,
                        "ownerid": this.data.ownerid
                    })}`,
                })
                break;
        }
    },
    onShareAppMessage() {}
})