const _Http = getApp().globalData.http;

Page({
    data: {
        deletereason: "",
    },
    onLoad(options) {
        if (options.item) this.setData({
            ...JSON.parse(options.item)
        })
    },
    onInput(e) {
        this.setData({
            deletereason: e.detail.value
        })
    },
    handleDetele() {
        if (!this.data.deletereason) return;
        _Http.basic({
            "id": 20220930121701,
            "content": {
                ...this.data
            }
        }).then(res => {
            console.log("删除", res);
            if (res.msg != '成功') return wx.showToast({
                title: res.data,
                icon: "none"
            });
            getCurrentPages().forEach(v => {
                switch (v.__route__) {
                    //如果页面历史有详情，退出详情
                    case 'packageA/setclient/modules/trace/detail/index':
                        wx.navigateBack();
                        break;
                        //如果页面历史有列表页 刷新列表
                    case 'packageA/setclient/detail':
                        let page = v.selectComponent("#Trace")
                        page.setData({
                            list: page.data.list.filter(s => s.sys_datafollowupid != this.data.sys_datafollowupid)
                        })
                        page.changeTotal()
                        break;
                }
            });
            wx.navigateBack();
        })
    }
})